"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }var _semver = require('semver'); var _semver2 = _interopRequireDefault(_semver);
var _picocolors = require('picocolors'); var _picocolors2 = _interopRequireDefault(_picocolors);
var _updatenotifier = require('update-notifier'); var _updatenotifier2 = _interopRequireDefault(_updatenotifier);
var _gradientstring = require('gradient-string'); var _gradientstring2 = _interopRequireDefault(_gradientstring);
const checkNodeVersion = (wanted, name) => {
  if (!_semver2.default.satisfies(process.version, wanted, { includePrerelease: true })) {
    console.log(
      _picocolors2.default.red(
        `You are using Node ${process.version} , but this version of ${name} requires Node ${wanted}.
           Please upgrade your Node version.`
      )
    );
    process.exit(1);
  }
};
const checkUpdate = (pkg) => {
  _updatenotifier2.default.call(void 0, {
    pkg,
    shouldNotifyInNpmScript: true
  }).notify({
    message: "Update available " + _picocolors2.default.dim("{currentVersion}") + _picocolors2.default.reset(" \u2192 ") + _picocolors2.default.green("{latestVersion}") + " \nRun " + _picocolors2.default.cyan(`pnpm update {packageName}@{latestVersion}`) + " to update",
    defer: false
  });
};
const gs = (str, options = [
  { color: "#42d392", pos: 0 },
  { color: "#42d392", pos: 0.1 },
  { color: "#647eff", pos: 1 }
]) => {
  if (process.stdout.isTTY && process.stdout.getColorDepth() > 8) {
    return _gradientstring2.default.call(void 0, options)(str);
  } else {
    return str;
  }
};




exports.checkNodeVersion = checkNodeVersion; exports.checkUpdate = checkUpdate; exports.gs = gs;
